%define bver 7
Name: libical
Version: 0.26
Release: alt3

Summary: An implementation of basic iCAL protocols

License: LGPL/MPL
Group: System/Libraries
Url: http://www.aurore.net/projects/libical/

Packager: Eugene Ostapets <eostapets@altlinux.org>

Source: http://www.aurore.net/projects/libical/%name-%version-%bver.aurore.tar.bz2
Patch0: libical-asneeded.patch
Patch1: libical-pkgconfig.patch

# manually removed: eric
# Automatically added by buildreq on Mon Oct 30 2006
BuildRequires: flex gcc-c++

%description
Libical is an Open Source implementation of the IETF's iCalendar
Calendaring and Scheduling protocols (RFC 2445, 2446, and 2447). It
parses iCal components and provides a C API for manipulating the
component properties, parameters, and subcomponents.

%package devel
Summary: Files for developing applications that use libical
Requires: %name = %version-%release
Group: Development/C

%description devel
The header files and libtool library  for
developing applications that use libical.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%__autoreconf -fisv
%configure \
	--enable-python
%make_build
# Also make the documentation in PDF format
# Not yet -- aen
# xmlto pdf -o doc doc/interface.xml

%install
%make_install install \
	DESTDIR=%buildroot

%post -p %post_ldconfig

%postun -p %postun_ldconfig

%files
%doc README TODO ChangeLog NEWS TEST THANKS
%_libdir/*.so.*
%_datadir/%name

%files devel
%doc doc/UsingLibical*
%_includedir/*
%_libdir/*.so
%exclude %_libdir/*.a
%_pkgconfigdir/*.pc

%changelog
* Fri Mar 16 2007 Eugene Ostapets <eostapets@altlinux.ru> 0.26-alt3
- new release

* Wed Nov 1 2006 Eugene Ostapets <eostapets@altlinux.ru> 0.26-alt2
- fix pkgconfig file

* Sun Oct 29 2006 Eugene Ostapets <eostapets@altlinux.ru> 0.26-alt1
- new version from http://www.aurore.net/projects/libical/ fork of libical

* Wed Dec 14 2005 Vitaly Lipatov <lav@altlinux.ru> 0.24-alt0.2RC4
- add missed dir
- add RC sign to release

* Fri Nov 04 2005 Vitaly Lipatov <lav@altlinux.ru> 0.24-alt0.1
- new version (spec updated according to spec from PLD)

* Wed May 12 2004 Ott Alex <ott@altlinux.ru> 0.23a-alt3
- Remove .la files

* Mon Dec 23 2002 AEN <aen@altlinux.ru> 0.23a-alt2
- #dir %_includedir/libicalvcal added

* Thu Oct 03 2002 AEN <aen@altlinux.ru> 0.23a-alt1
- first build for Sisyphus, sources from mozilla cvs

